K-Line / Candlestick

Pushes updates for the latest candlestick of the subscribed interval. The push interval is 200 ms.

Supported kline intervals: 1m, 3m, 5m, 15m, 30m, 1H, 2H, 4H, 6H, 8H, 12H, 1D, 3D, 1W, 1M.

Channel name: <symbol>@kline_<interval>

Subscription example:

{"method":"SUBSCRIBE","params":["btcusdc@kline_1m"]}

Response example:

{
    "eventType": "kline",
    "param": "btcusdc@kline_1m",
    "action": "update",
    "eventTime": 1778596012897,
    "data": [
        {
            "openTime": 1778595960000,
            "closeTime": 1778596019999,
            "symbolId": "BTCUSDC",
            "interval": "1m",
            "firstId": 2213417774154692865,
            "lastId": 2213418182705068289,
            "open": "80771.6",
            "close": "80724.9",
            "high": "80782.3",
            "low": "80724.9",
            "volume": "0.0016",
            "numTrades": 8,
            "closed": false,
            "quoteVolume": "129.22179",
            "takerBuyVolume": "0.0006",
            "takerBuyQuoteVolume": "48.45327"
        }
    ]
}

Field descriptions

FieldDescription
openTimeKline start time
closeTimeKline end time
symbolIdTrading pair
intervalKline interval
firstIdFirst trade ID during this kline period
lastIdLast trade ID during this kline period
openFirst traded price during the kline period
closeLast traded price during the kline period
highHighest traded price during the kline period
lowLowest traded price during the kline period
volumeTrading volume during the kline period
numTradesNumber of trades during the kline period
closedWhether the kline is closed
quoteVolumeTrading turnover during the kline period
takerBuyVolumeTaker buy volume
takerBuyQuoteVolumeTaker buy quote volume